summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorH. Peter Anvin <hpa@zytor.com>2011-11-19 00:42:54 (GMT)
committerH. Peter Anvin <hpa@zytor.com>2011-11-19 00:42:54 (GMT)
commit3f9da4890ad3793d7939b322c3e889a7f917cd0c (patch)
tree466c43e1aca6bc93f6d9ea96b032ca73dc5c62e8
parent479f3e3d80360973734903afe657a40785812a96 (diff)
downloadtip-bot-3f9da4890ad3793d7939b322c3e889a7f917cd0c.zip
tip-bot-3f9da4890ad3793d7939b322c3e889a7f917cd0c.tar.gz
tip-bot-3f9da4890ad3793d7939b322c3e889a7f917cd0c.tar.bz2
tip-bot-3f9da4890ad3793d7939b322c3e889a7f917cd0c.tar.xz
robot.sh: use git fetch -f to update mirrors
-rwxr-xr-xrobot.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/robot.sh b/robot.sh
index be08954..a73e763 100755
--- a/robot.sh
+++ b/robot.sh
@@ -26,7 +26,7 @@ max_mails=100
fi
for m in linus tip; do
- GIT_DIR="$topdir/mirrors/$m" git fetch || exit 0
+ GIT_DIR="$topdir/mirrors/$m" git fetch -f || exit 0
done
mkdir -m 0700 -p $tmpdir